Partially update a forecast configuration
PATCH
/v1/forecastconfiguration/{id}/
const url = 'https://example.com/v1/forecastconfiguration/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"deactivated_at":"2026-04-15T12:00:00Z"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/v1/forecastconfiguration/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/ \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "deactivated_at": "2026-04-15T12:00:00Z" }'Update one or more fields of an existing forecast configuration.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
A UUID string identifying this forecast configuration.
Request Body
Section titled “Request Body”A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
account
string format: uuid
agent
string format: uuid
created_at
string format: date-time
deactivated_at
string format: date-time
high_metric
string format: uuid
id
string format: uuid
low_metric
string format: uuid
metric
string format: uuid
model_name
string
modified_at
string format: date-time
tolerance_perc
number format: double
type
1- Linear forecast2- Anomaly forecast
integer
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
account
string format: uuid
agent
string format: uuid
created_at
string format: date-time
deactivated_at
string format: date-time
high_metric
string format: uuid
id
string format: uuid
low_metric
string format: uuid
metric
string format: uuid
model_name
string
modified_at
string format: date-time
tolerance_perc
number format: double
type
1- Linear forecast2- Anomaly forecast
integer
Responses
Section titled “Responses”Media typeapplication/json
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
account
required
string format: uuid
agent
required
string format: uuid
created_at
required
string format: date-time
deactivated_at
string format: date-time
high_metric
required
string format: uuid
id
required
string format: uuid
low_metric
required
string format: uuid
metric
required
string format: uuid
model_name
required
string
modified_at
required
string format: date-time
tolerance_perc
required
number format: double
type
required
1- Linear forecast2- Anomaly forecast
integer
Example
{ "type": 1}